mirror of
https://github.com/novatiq/packages.git
synced 2026-04-30 15:38:40 +01:00
seafile-server: add config options for extra features
Signed-off-by: Gergely Kiss <mail.gery@gmail.com>
This commit is contained in:
committed by
Etienne CHAMPETIER
parent
79563b699f
commit
2d17695c08
@@ -0,0 +1,21 @@
|
||||
diff -rupN seafile-server-5.1.1.orig/scripts/seaf-fuse.sh seafile-server-5.1.1/scripts/seaf-fuse.sh
|
||||
--- seafile-server-5.1.1.orig/scripts/seaf-fuse.sh 2016-05-29 08:43:19.000000000 +0200
|
||||
+++ seafile-server-5.1.1/scripts/seaf-fuse.sh 2016-05-29 09:13:06.286680653 +0200
|
||||
@@ -7,7 +7,7 @@ INSTALLPATH=$(dirname "${SCRIPT}")
|
||||
TOPDIR=$(dirname "${INSTALLPATH}")
|
||||
default_ccnet_conf_dir=${TOPDIR}/ccnet
|
||||
default_conf_dir=${TOPDIR}/conf
|
||||
-seaf_fuse=${INSTALLPATH}/seafile/bin/seaf-fuse
|
||||
+seaf_fuse=/usr/bin/seaf-fuse
|
||||
|
||||
export PATH=${INSTALLPATH}/seafile/bin:$PATH
|
||||
export SEAFILE_LD_LIBRARY_PATH=${INSTALLPATH}/seafile/lib/:${INSTALLPATH}/seafile/lib64:${LD_LIBRARY_PATH}
|
||||
@@ -68,7 +68,7 @@ function validate_already_running () {
|
||||
}
|
||||
|
||||
function warning_if_seafile_not_running () {
|
||||
- if ! pgrep -f "seafile-controller -c ${default_ccnet_conf_dir}" 2>/dev/null 1>&2; then
|
||||
+ if ! pgrep -f "seafile-controller -F ${default_conf_dir}" 2>/dev/null 1>&2; then
|
||||
echo
|
||||
echo "Warning: seafile-controller not running. Have you run \"./seafile.sh start\" ?"
|
||||
echo
|
||||
Reference in New Issue
Block a user